Packaging - Bug #12491

Foreman prerm deletes local_secret_token on upgrade
11/16/2015 06:54 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Debian/Ubuntu
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/896

Description

On an upgrade of "foreman", the local_secret_token (used for session encryption etc) is deleted. It's only meant to be deleted on
final removal, not upgrades.

Preparing to unpack .../foreman_1.10.0~rc2-1_amd64.deb
set -e
/usr/share/debconf/confmodule
L]
PERL_DL_NONLAZY=1
export PERL_DL_NONLAZY
[ ]
exec /usr/share/debconf/frontend /var/lib/dpkg/info/foreman.prerm upgrade 1.10.0~rc2-1
set -e
/usr/share/debconf/confmodule
[ 1]
[ -z ]
exec
[ ]
exec
DEBCONF_REDIR=1
export DEBCONF_REDIR
[ =x /etc/init.d/foreman ]
invoke-rc.d foreman stop
[ -f /usr/share/foreman/config/initializers/local_secret_token.rb ]
rm —-f /usr/share/foreman/config/initializers/local_secret_token.rb
exit O
set -e
exit O
Unpacking foreman (1.10.0~rc2-1) over (1.9.3-1)

It's then recreated:

[ ! =f config/initializers/local_secret_token.rb ]
touch config/initializers/local_secret_token.rb

chmod 0660 config/initializers/local_secret_token.rb
chgrp foreman config/initializers/local_secret_token.rb
[ ' -z 1]

/usr/sbin/foreman-rake security:generate_token

+ + + + + + +

chmod 0640 config/initializers/local_secret_token.rb

This is probably why some users report their sessions to be invalid after upgrade.

Associated revisions

Revision 36766733 - 11/16/2015 08:22 AM - Dominic Cleal

fixes #12491 - only remove local token secret on removal
History

#1 - 11/16/2015 08:22 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#2 - 11/16/2015 11:14 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-packaging/pull/896 added

#3 - 12/22/2015 08:16 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

- translation missing: en.field_release set to 71
